Subject: Re: More ramblings...

From: Pat Mackinlay <[email-masked]>
Date: 27 Jun 1993 22:32:29 +0800

>>* Video controller: I'm still for a TMS34010-based solution. Here, the 

>Good enough, but still better to use VRAM as frame buffer for TMS and a
>24-bit RAMDAC.

I was assuming this. I've since found out a bit more about the 34k. 
Basically, the chip has access to one memory bank. This bank may be either 
DRAM or VRAM, and is used to store both the chip's code and the video 
image. The host has access to all of this memory through an 8 or 16 bit 
"host access port" - so it can essentially "write through" the 34k and into 
the RAM on the other side. I think this would attach to the 3730 quite 
nicely. I'm assuming TI makes a neat little DAC/palette chip intended for 
use with the 34k, and if it's cheap enough, it'll be a neat solution.

I have some other good news: a mate of mine has C source to an assembler 
for the 34010, so we have _some_ software. I can't imagine writing an X 
server totally in assembler though <grin>.

>>* Ethernet controller: Providing it's cheap enough, it looks like the NSC 

>If we are not going to implement ISA bus, 8390 may NOT be the best choice,
>some new LANCE chip should have a much better performance than 8390.
>Moreover, 8390 is a rather dumb device, why not using a better chip?

Because we're more worried about price than performance (to a certain 
extent). One of the faster devices, the Intel thingo, is both quite 
expensive and SMT, making it unsuitable for our design. If you can give us 
some numbers on the new Lance, I'm sure it will be given due consideration.

>does anyone think about how to put the ethernet connector on the mother
>board and still accessible from a normal PC case?  There's a hole near

This is a good point. Perhaps on a little "extension cord" going up to a 
"slot filler" (those little metal strips on the back)?

>>* SCSI controller: I think we've pretty much settled on the 53c94? Again, I 

>Is it SCSI-2?

It's been said before, and I'll say it again - being "SCSI-2" is largely a 
_software_ issue, not a hardware one. Perhaps you mean "Can it do FAST 
SCSI?" If so, then the answer is no. There is a version of the chip that 
_can_, however, and I suggest this is the one to go for: the 53cf94.

>>* Boot EPROM: This is pretty straightforward. How much are we shooting for? 

>Do you mean boot from SCSI device (disk AND tape), Ethernet (bootp and tftp)
>and some proprietry serial booting interface?

Yes. The serial boot idea is mainly intended for use during very early 
kernel development (serial ports are usually the most trouble-free devices 
to get working reliably).

>>* I/O bus: I have personally given up on the idea of an ISA bus. No one 

>If no ISA bus, then we have to adjust our minimal device list on board,
>such as floppy disk controller (much much cheaper than SCSI floppy),
>bi-directional parallel port (almost a must), sound support (like 16-bit
>stereo AD/DA, FM, PCM).

You didn't read what I wrote. The idea is that we use the I/O bus for 
allowing this kind of expansion. There will still be an I/O expansion bus, 
the only difference is that it will be Steve's proprietry design rather 
than the ISA bus.

Pat -- "There's only one thing left to do Mama, I got to ding a ding dang
	my dang a long ling long" (Jesus Built My Hotrod -- Ministry)
GCS d* -p+ c++ l++ m--- s+/- !g w- t- r